Page MenuHomeFreeBSD

math/tblis
ClosedPublic

Authored by jmd on Oct 30 2017, 1:57 AM.

Details

Summary

Add tblis, a framework to perform tensor operations which are ubiquitous in a variety of domains (quantum chemistry, machine learning, ...). This port is a sibling port to math/blis and math/libflame and follows their philosophy for operations. In difference to math/blis it is already capable of targeting multiple architectures in one library and select the fitting one at runtime.

Currently amd64 only.

Test Plan

poudriere tested on 10.4, 11.1, HEAD amd64. Required FreeBSD patches were already upstreamed.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat requested changes to this revision.Oct 30 2017, 12:34 PM
mat added inline comments.
math/tblis/Makefile
16 ↗(On Diff #34442)

What about other architectures ?
Should it not be NOT_FOR_ARCH= i386 ?

32–36 ↗(On Diff #34442)
PARA_CONFIGURE_ON= --enabl...
PARA_CONFIGURE_OFF= --enabl...
This revision now requires changes to proceed.Oct 30 2017, 12:34 PM
math/tblis/Makefile
16 ↗(On Diff #34442)

Or maybe it should be:

ONLY_FOR_ARCHS_REASON_i386= requires SSE
jmd marked 3 inline comments as done.Nov 1 2017, 9:12 PM
jmd added inline comments.
math/tblis/Makefile
16 ↗(On Diff #34442)

I believe the NOT_FOR_ARCHS version is more appropriate. They do support arm and power in theory but unfortunately lack the HW to test.

math/tblis/Makefile
30 ↗(On Diff #34639)

not needed.

jmd marked an inline comment as done.

remove unused import

jmd marked 2 inline comments as done.Nov 17 2017, 3:59 AM
math/tblis/Makefile
16 ↗(On Diff #34442)

In any case, the it should be NOT_FOR_ARCHS_REASON_i386=requires SSE.

Comments addressed, approved

This revision was not accepted when it landed; it landed in state Needs Review.Jan 17 2018, 1:15 PM
This revision was automatically updated to reflect the committed changes.